Subject: Re: [bug#27401] [PATCH] doc: Suggest a QEMU image size large enough for the system examples.

From: Leo Famulari <[email-masked]>
Date: Mon, 19 Jun 2017 17:48:20 -0400

On Mon, Jun 19, 2017 at 07:55:03PM +0200, Jan Nieuwenhuizen wrote:
> Leo Famulari writes:
> 
> > * doc/guix.texi (Installing GuixSD in a Virtual Machine): Increase suggested
> > image size from 5 GB to 50 GB.
> 
> LGTM, however -- What about something like this patch too?  I seems that
> the VMs we create (although they are of the ballooning cow2 kind), are
> 2GiB -- i.e., almost unusable for Real Stuff (TM)?

I chose 2GiB for those images because it's pretty easy to grow a
partition and ext4 filesystem from a running system. On the other hand,
I couldn't find an easy way to shrink them.

We can't predict the size of the virtual block device storage provided
by a VPS hoster, so I chose this small size with these expectations:
1) 2GiB will never be too big
2) users will resize after booting

I didn't come up with a better solution for the problem of not knowing
the storage size in advance. What do you think?